GuideLab Docs

Replay Stripe Connect Quarantine

Replay exact provider evidence against a retained claim. One Stripe read, at most three lifetime attempts, immutable ingress receipt and durable review outcome. Does not charge, refund, discover or relabel payments.

POST
/finances/stripe-quarantine/{eventId}/replay

Replay exact provider evidence against a retained claim. One Stripe read, at most three lifetime attempts, immutable ingress receipt and durable review outcome. Does not charge, refund, discover or relabel payments.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

eventId*string
Length1 <= length <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/finances/stripe-quarantine/string/replay" \  -H "Content-Type: application/json" \  -d '{    "idempotencyKey": "string"  }'
{  "eventId": "string",  "stripeAccountId": "string",  "stripePaymentIntentId": "string",  "type": "string",  "quarantineReason": "string",  "receivedAt": "string",  "reviews": [    {      "id": "string",      "attempt": 0,      "reviewerUserId": "string",      "outcome": "pending",      "errorCode": "string",      "createdAt": "string",      "finishedAt": "string"    }  ],  "canReplay": true}
Empty
Empty
Empty